Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_PolicyCurrent Class Reference

`#include <PolicyC.h>`

Inheritance diagram for CORBA_PolicyCurrent

[legend]
Collaboration diagram for CORBA_PolicyCurrent:

[legend]
List of all members.

## Public Types
typedef CORBA_PolicyCurrent_ptr | _ptr_type
typedef CORBA_PolicyCurrent_var | _var_type
## Public Methods
virtual void* | _tao_QueryInterface (ptr_arith_t type)
| Downcasting this object pointer to some other derived class. This QueryInterface stuff only work for local object.
virtual const char* | _interface_repository_id (void) const
| The repository ID for the most derived class, this is an implementation method and does no remote invocations!
## Static Public Methods
CORBA_PolicyCurrent_ptr | _duplicate (CORBA_PolicyCurrent_ptr obj)
CORBA_PolicyCurrent_ptr | _narrow ( CORBA::Object_ptr obj, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () )
CORBA_PolicyCurrent_ptr | _unchecked_narrow ( CORBA::Object_ptr obj, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () )
CORBA_PolicyCurrent_ptr | _nil (void)
| Return a NULL object.
## Static Public Attributes
int | _tao_class_id = 0
| Address of this variable used in <_unchecked_narrow>.
## Protected Methods
| CORBA_PolicyCurrent ()
virtual | ~CORBA_PolicyCurrent (void)
## Private Methods
| CORBA_PolicyCurrent (const CORBA_PolicyCurrent &)
void | operator= (const CORBA_PolicyCurrent &)

## Member Typedef Documentation

typedef CORBA_PolicyCurrent_ptr CORBA_PolicyCurrent::_ptr_type

| Reimplemented from CORBA_Current.

typedef CORBA_PolicyCurrent_var CORBA_PolicyCurrent::_var_type

| Reimplemented from CORBA_Current.

## Constructor & Destructor Documentation

CORBA_PolicyCurrent::CORBA_PolicyCurrent ( | )`[protected]`

CORBA_PolicyCurrent::~CORBA_PolicyCurrent ( | void )`[protected, virtual]`

CORBA_PolicyCurrent::CORBA_PolicyCurrent ( | const CORBA_PolicyCurrent & )`[private]`

## Member Function Documentation

CORBA_PolicyCurrent_ptr CORBA_PolicyCurrent::_duplicate ( | CORBA_PolicyCurrent_ptr obj )`[static]`

const char * CORBA_PolicyCurrent::_interface_repository_id ( | void ) const`[virtual]`

| The repository ID for the most derived class, this is an implementation method and does no remote invocations! Reimplemented from CORBA_Current.

CORBA_PolicyCurrent_ptr CORBA_PolicyCurrent::_narrow ( | CORBA::Object_ptr obj,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )`[static]`

| Reimplemented from CORBA_Current.

CORBA_PolicyCurrent_ptr CORBA_PolicyCurrent::_nil ( | void )`[inline, static]`

| Return a NULL object. Reimplemented from CORBA_Current.

void * CORBA_PolicyCurrent::_tao_QueryInterface ( | ptr_arith_t type )`[virtual]`

| Downcasting this object pointer to some other derived class. This QueryInterface stuff only work for local object. Reimplemented from CORBA_Current.

CORBA_PolicyCurrent_ptr CORBA_PolicyCurrent::_unchecked_narrow ( | CORBA::Object_ptr obj,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )`[static]`

| Reimplemented from CORBA_Current.

void CORBA_PolicyCurrent::operator= ( | const CORBA_PolicyCurrent & )`[private]`

## Member Data Documentation

int CORBA_PolicyCurrent::_tao_class_id = 0`[static]`

| Address of this variable used in <_unchecked_narrow>. Reimplemented from CORBA_Current.

The documentation for this class was generated from the following files:

- PolicyC.h
- PolicyC.cpp